Skip to main content
POST
/
agents
/
{agent_id}
/
knowledge
/
urls
Add Knowledge Urls
curl --request POST \
  --url https://api.example.com/agents/{agent_id}/knowledge/urls \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "urls": [
    "<string>"
  ]
}
'
{
  "agent_id": "<string>",
  "urls_added": 123,
  "task_id": "<string>",
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string<uuid>
required

Body

application/json

Request to add knowledge base URLs to an agent.

urls
string[]
required

List of URLs to add to knowledge base

Minimum array length: 1

Response

Successful Response

Response from adding knowledge URLs.

agent_id
string
required
urls_added
integer
required
task_id
string
required
message
string
required